<template>
  <header id="top-header">
    <div class="menu" @click="toggleMenu">
      <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 512 512">
        <path
          d="M216 64c-13.3 0-24 10.7-24 24s10.7 24 24 24h16v33.3C119.6 157.2 32 252.4 32 368H480c0-115.6-87.6-210.8-200-222.7V112h16c13.3 0 24-10.7 24-24s-10.7-24-24-24H256 216zM24 400c-13.3 0-24 10.7-24 24s10.7 24 24 24H488c13.3 0 24-10.7 24-24s-10.7-24-24-24H24z"
        />
      </svg>
    </div>
    <div>Rachele &amp; Maurizio - 08.10.2023</div>
  </header>
  <TheMenu @close="toggleMenu" :class="{ open: showMenu }" />
</template>

<script setup>
import { ref } from 'vue'
import TheMenu from '@/components/TheMenu.vue'

const showMenu = ref(false)

const toggleMenu = () => {
  showMenu.value = !showMenu.value

  const className = 'no-scroll'

  if (!showMenu.value) {
    document.body.classList.remove(className)
    return
  }

  if (!document.body.classList.contains(className)) {
    document.body.classList.add(className)
  }
}
</script>

<style lang="less" scoped>
header {
  padding: 20px 30px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--color-background);
  border-bottom: 1px solid var(--color-border-heading);
  z-index: 1;

  .menu {
    svg {
      margin-bottom: -3px;
    }
  }
}
</style>
